#
# Conditional build:
%bcond_with	tests	# unit tests (TODO: dependencies)

%define		module	Beaker
Summary:	Session (and caching soon) WSGI Middleware
Summary(pl.UTF-8):	Middleware WSGI obsługi sesji (i wkrótce pamięci podręcznej)
Name:		python3-%{module}
Version:	1.12.1
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/beaker/
Source0:	https://files.pythonhosted.org/packages/source/B/Beaker/%{module}-%{version}.tar.gz
# Source0-md5:	68b406115ea9fef858b8aeba514c9d39
URL:		https://beaker.readthedocs.io/
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-cryptography
BuildRequires:	python3-memcached
BuildRequires:	python3-modules-sqlite
BuildRequires:	python3-nose
BuildRequires:	python3-pycparser = 2.18
BuildRequires:	python3-pycryptodome
BuildRequires:	python3-pylibmc
BuildRequires:	python3-pymongo
BuildRequires:	python3-redis
BuildRequires:	python3-sqlalchemy
BuildRequires:	python3-webtest < 2.0.24
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Beaker is a simple WSGI middleware to use the Myghty Container API.

MyghtyUtils contains a very robust Container API for storing data
using various backends. Beaker uses those APIs to implement common web
application wrappers, like sessions and caching, in WSGI middleware.
Currently the only middleware implemented is that for sessions but
more is coming soon.

%description -l pl.UTF-8
Beaker jest prostym middleware WSGI do użytku API Myghty Container.

MythtyUtils zawiera bardzo mocne API Container do przechowywania
danych przy użyciu różnych backendów. Beaker używa tych API do
implementacji ogólnych wrapperów aplikacji WWW, takich jak sesje czy
pamięć podręczna wewnątrz middleware WSGI. Aktualnie zaimplementowane
jest jedynie middleware dla sesji, ale wkrótce będzie więcej.

%prep
%setup -qn %{module}-%{version}

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/beaker
%{py3_sitescriptdir}/Beaker-%{version}-py*.egg-info
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-Beaker.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 19040f1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e7824ec
- python 3.13 rebuild

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> d8e10db
- python-Beaker.spec updated to 1.12.1 for python 3.7+

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> f529dbe
- updated to 1.11.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> bb0bbc1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d050f20
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 90f7506
- automatic change: use py_build/py_install macros

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> efe9ce3
- up to 1.6.4

* Wed Feb 02 2011 zbyniu <zbyniu@pld-linux.org> 7dbfdfd
- up to 1.5.4

* Fri Jul 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 87489ee
- rel 1

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 4354bcc
- up to 1.2.3

* Mon Nov 03 2008 witekfl <witekfl@pld-linux.org> 5ee1b2b
- up to 0.9.2

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 4654770
- Up to 0.7.5

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 08076bd
- BR: python downgrade to 2.4 (2.5 is not required)

* Mon Apr 16 2007 beorn <beorn@pld-linux.org> 2414053
- Up to 0.6.3
- Added test files as examples
- Added CHANGELOG file

* Mon Apr 16 2007 beorn <beorn@pld-linux.org> 4e97fd8
- pl beautify
- py_postclean macro

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 94f102d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b88320f
- converted to UTF-8

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 5338f21
- tab

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 46d3a85
- pl, fixed BRs, killed redundant macros

